reckfellENGINE

NavigationPathQueryResult3D

Represents the result of a 3D pathfinding query.

On this page
class NavigationPathQueryResult3DReckfellSharpInherits RefCounted

Represents the result of a 3D pathfinding query.

This class stores the result of a 3D navigation path query from the NavigationServer3D.

Declarations checked against C# SDK 1.0.0. Expand a name to see declarations and documentation.

Constructors1

NavigationPathQueryResult3DConstructor
# NavigationPathQueryResult3D
C#
public NavigationPathQueryResult3D();

Properties5

PathProperty
# Path
C#
public Vector3[] Path { get; set; }

The resulting path array from the navigation query. All path array positions are in global coordinates. Without customized query parameters this is the same path as returned by NavigationServer3D.MapGetPath.

PathLengthProperty
# PathLength
C#
public float PathLength { get; set; }

Length of a 3D query result. In SDK 1.0.0 Reset() retains it; explicitly zero PathLength when manually clearing the result. An empty Path with an old nonzero length is not a route.

PathOwnerIdsProperty
# PathOwnerIds
C#
public long[] PathOwnerIds { get; set; }

The ObjectIDs of the ReckfellObjects which manage the regions and links each point of the path goes through.

PathRidsProperty
# PathRids
C#
public Reckfell.Collections.Array<Rid> PathRids { get; set; }

The Rids of the regions and links that each point of the path goes through.

PathTypesProperty
# PathTypes
C#
public int[] PathTypes { get; set; }

The type of navigation primitive (region or link) that each point of the path goes through.

Methods14

GetPathVector3[]
# GetPath
C#
public Vector3[] GetPath();
Returns Vector3[]
GetPathLengthfloat
# GetPathLength
C#
public float GetPathLength();
Returns float
GetPathOwnerIdslong[]
# GetPathOwnerIds
C#
public long[] GetPathOwnerIds();
Returns long[]
GetPathRidsReckfell.Collections.Array<Rid>
# GetPathRids
C#
public Reckfell.Collections.Array<Rid> GetPathRids();
Returns Reckfell.Collections.Array<Rid>
GetPathTypesint[]
# GetPathTypes
C#
public int[] GetPathTypes();
Returns int[]
Resetvoid
# Reset
C#
public void Reset();

Clears path and metadata arrays. The installed SDK 1.0.0 retains PathLength: set it to zero explicitly when the result must be fully cleared.

SetPath2 overloads
# SetPath · 1/2
C#
public void SetPath(Vector3[] path);
Parameters
NameTypeDefault
pathVector3[]—
# SetPath · 2/2
C#
public void SetPath(ReadOnlySpan<Vector3> path);
Parameters
NameTypeDefault
pathReadOnlySpan<Vector3>—
SetPathLengthvoid
# SetPathLength
C#
public void SetPathLength(float length);
Parameters
NameTypeDefault
lengthfloat—
SetPathOwnerIds2 overloads
# SetPathOwnerIds · 1/2
C#
public void SetPathOwnerIds(long[] pathOwnerIds);
Parameters
NameTypeDefault
pathOwnerIdslong[]—
# SetPathOwnerIds · 2/2
C#
public void SetPathOwnerIds(ReadOnlySpan<long> pathOwnerIds);
Parameters
NameTypeDefault
pathOwnerIdsReadOnlySpan<long>—
SetPathRidsvoid
# SetPathRids
C#
public void SetPathRids(Reckfell.Collections.Array<Rid> pathRids);
Parameters
NameTypeDefault
pathRidsReckfell.Collections.Array<Rid>—
SetPathTypes2 overloads
# SetPathTypes · 1/2
C#
public void SetPathTypes(int[] pathTypes);
Parameters
NameTypeDefault
pathTypesint[]—
# SetPathTypes · 2/2
C#
public void SetPathTypes(ReadOnlySpan<int> pathTypes);
Parameters
NameTypeDefault
pathTypesReadOnlySpan<int>—

NavigationPathQueryResult3D.PathSegmentType

ValueDescription
Region = 0

This segment of the path goes through a region.

Reckfell Engine documentationBack to top ↑
QUICK LINKSGetting startedEntity hierarchyC# & .NET 10Scenes and prefabs
Reckfell guides and full API K
reckfellENGINE
RECKFELL ACCOUNT

Sign in

Sign in to your Reckfell account.

One account for the entire Reckfell platform.